xserver: Branch 'master' - 2 commits
GitLab Mirror
gitlab-mirror at kemper.freedesktop.org
Tue Nov 19 09:11:24 UTC 2024
.gitlab-ci.yml | 19 +++++++++++++++----
.gitlab-ci/check-ddx-build.sh | 25 +++++++++++++++++++++++++
2 files changed, 40 insertions(+), 4 deletions(-)
New commits:
commit d98b36461a142f451a509e52f3faa98baea12ccd
Author: Olivier Fourdan <ofourdan at redhat.com>
Date: Mon Nov 18 12:13:14 2024 +0100
ci: Check for DDXen to be built
Add a script in CI to check for the mere presence of the expected DDXen
to be built.
Signed-off-by: Olivier Fourdan <ofourdan at redhat.com>
Part-of: <https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/1743>
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 3ed206db2..48fca7a9c 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -169,6 +169,7 @@ meson:
- .gitlab-ci/meson-build.sh --run-test
- .gitlab-ci/check-piglit-results.sh
- .gitlab-ci/manpages-check
+ - .gitlab-ci/check-ddx-build.sh
variables:
XTEST_DIR: /root/xts
PIGLIT_DIR: /root/piglit
diff --git a/.gitlab-ci/check-ddx-build.sh b/.gitlab-ci/check-ddx-build.sh
new file mode 100755
index 000000000..df6f0c029
--- /dev/null
+++ b/.gitlab-ci/check-ddx-build.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+set -o xtrace
+
+check_executable () {
+ if [[ ! -x $MESON_BUILDDIR/$1 ]]; then
+ echo "$1 not found after build"
+ exit 1
+ fi
+ return 0
+}
+
+if [[ -z "$MESON_BUILDDIR" ]]; then
+ echo "\$MESON_BUILDDIR not set"
+ exit 1
+fi
+
+[[ "$BUILD_XEPHYR" == true ]] && check_executable "hw/kdrive/ephyr/Xephyr"
+[[ "$BUILD_XNEST" == true ]] && check_executable "hw/xnest/Xnest"
+[[ "$BUILD_XORG" == true ]] && check_executable "hw/xfree86/Xorg"
+[[ "$BUILD_XVFB" == true ]] && check_executable "hw/vfb/Xvfb"
+[[ "$BUILD_XWAYLAND" == true ]] && check_executable "hw/xwayland/Xwayland"
+
+exit 0
commit fbedb9b12bce650d2b302c4ee7b1a1fdc4e9055b
Author: Olivier Fourdan <ofourdan at redhat.com>
Date: Fri Nov 15 09:26:39 2024 +0100
ci: Force build of default DDXen in the default target
If any dependency that a DDX requires is missing, the build of the DDX
will be automatically disabled, and the CI check will succeed.
We want the build to fail if any of the expected DDX cannot be built in
the CI, so let's force-enable them at build time.
Signed-off-by: Olivier Fourdan <ofourdan at redhat.com>
v2: Use a variable for the DDX build args (Peter Hutterer
<peter.hutterer at who-t.net>)
Part-of: <https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/1743>
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index cb2c1f61c..3ed206db2 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -173,18 +173,28 @@ meson:
XTEST_DIR: /root/xts
PIGLIT_DIR: /root/piglit
LP_NUM_THREADS: 0
+ MESON_DDX_BUILD_ARGS: >
+ -Dxwayland=${BUILD_XWAYLAND} -Dxorg=${BUILD_XORG} -Dxephyr=${BUILD_XEPHYR} -Dxvfb=${BUILD_XVFB} -Dxnest=${BUILD_XNEST}
+ BUILD_XEPHYR: true
+ BUILD_XNEST: true
+ BUILD_XORG: true
+ BUILD_XVFB: true
+ BUILD_XWAYLAND: true
+ MESON_EXTRA_ARGS: ${MESON_DDX_BUILD_ARGS}
meson-noglamor:
extends: meson
variables:
- MESON_EXTRA_ARGS: >
- -Dglamor=false
+ MESON_EXTRA_ARGS: -Dglamor=false ${MESON_DDX_BUILD_ARGS}
xwayland-nolibdecor:
extends: meson
variables:
- MESON_EXTRA_ARGS: >
- -Dlibdecor=false -Dxorg=false -Dxephyr=false -Dxvfb=false -Dxnest=false
+ BUILD_XEPHYR: false
+ BUILD_XNEST: false
+ BUILD_XORG: false
+ BUILD_XVFB: false
+ MESON_EXTRA_ARGS: -Dlibdecor=false ${MESON_DDX_BUILD_ARGS}
mingw-cross-build:
extends: .common-build-and-test
More information about the xorg-commit
mailing list